Get Availability Schedule by UUID
Retrieve a specific availability schedule by its UUID, with weekly working hours, time zone, and any date-specific overrides.
curl --request GET \
--url https://api.zeeg.me/v2/schedules/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zeeg.me/v2/schedules/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zeeg.me/v2/schedules/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"status": 200,
"resource": {
"uri": "https://api.zeeg.me/v2/schedules/otrBCIib7j",
"uuid": "otrBCIib7j",
"email": "lena.meier@horizondigital.de",
"title": "Evening Consultations",
"isDefault": false,
"timezone": "Europe/Berlin",
"weeklyHours": [
{
"day": "Mon",
"timesets": [
[
"18:00",
"20:00"
]
]
},
{
"day": "Tue",
"timesets": [
[
"18:00",
"20:00"
]
]
},
{
"day": "Wed",
"timesets": []
},
{
"day": "Thu",
"timesets": [
[
"18:00",
"20:00"
]
]
},
{
"day": "Fri",
"timesets": []
},
{
"day": "Sat",
"timesets": []
},
{
"day": "Sun",
"timesets": []
}
],
"specialHours": null,
"timeOff": [
{
"uuid": "3f2504e0-4f89-41d3-9a0c-0305e82c3301",
"uri": "https://api.zeeg.me/v2/time-off/3f2504e0-4f89-41d3-9a0c-0305e82c3301",
"type": "vacation",
"title": "Summer break",
"startDate": "2026-08-01",
"endDate": "2026-08-15",
"startHalfDay": false,
"endHalfDay": true,
"startHalfDayCutoff": null,
"endHalfDayCutoff": "13:00",
"note": null
}
],
"schedulingPages": [],
"currentTime": "2026-04-10T08:30:00+02:00",
"createdAt": "2026-04-02T12:00:00.000000Z",
"updatedAt": "2026-04-02T12:00:00.000000Z"
}
}{
"message": "Unauthenticated."
}{
"error": {
"type": "insufficient_scope",
"message": "Your token is missing the required scope(s). Include at least one of: schedules:read, schedules:write.",
"error_id": "f5819263-127e-4a4c-a873-626a81c497d3",
"required_scopes": [
"schedules:read",
"schedules:write"
]
}
}{
"error": "Schedule not found"
}Authorizations
Path Parameters
Schedule identifier
"Q1ZYo391da"
Query Parameters
Email address of the user who owns the schedule.
"lena.meier@horizondigital.de"
When true, includes the list of scheduling pages associated with the schedule.
true
Response
OK
Hide child attributes
Hide child attributes
API resource URI for this schedule
Email address of the schedule owner
Display name of the schedule
Whether this is the default schedule
IANA timezone identifier
User-level time-off periods (vacation, out-of-office) that apply across all of the user's scheduling pages. Only future periods are returned, ordered by start date. Half-day flags indicate the first/last day of the period is partial.
Hide child attributes
Hide child attributes
Canonical URL of the time-off period.
vacation, out_of_office Half-day cutoff (HH:MM), null when startHalfDay is false.
Half-day cutoff (HH:MM), null when endHalfDay is false.
Current server time
Timestamp of creation
Timestamp of last update
true
200
